@use "styles/helpers";

.header__user_info {
  border: 1px solid transparent;
  border-radius: 50px;
  padding: 3px 15px 3px 3px;

  &:hover {
    border-color: #FFFFFF;
  }

  p {
    margin-left: 15px;
  }
}
.header__user_balance {
  margin: 0 3px 0 15px;
}

.user_info_desc {
  font-weight: 500;
  font-size: 16px;
  line-height: 20px;
  color: #fff;
}

.user__balance_value {
  white-space: nowrap;
}

.header__avatar {
  width: 32px;
  height: 32px;
  border-radius: 50%;
}


@media screen and (max-width: 850px) {
  .user_info_desc {
    font-size: 14px;
  }

  .userName {
    width: 100%;
  }
}


@media screen and (max-width: 720px) {
  .user__info_vn {
    flex-direction: column;
    margin-bottom: 10px;
    margin-right: 10px;
  }

  .header__user_balance {
    margin: 0;
  }
}

@media screen and (max-width: 600px) {
  .header__user_info {
    p {
      margin-left: 10px;
    }
  }

  .user__info_vn {
    margin-bottom: 0;
    margin-right: 0;
  }
}

@media screen and (max-width: helpers.$widthMobile) {
  .user_info_desc {
    font-size: 12px;
  }
}